const urlRegex = /url\(["']?(.+?)["']?\)/;

const detectCssFont = rule => {
  const match = rule.cssText.match(urlRegex);
  const url = (match && match[1]) || '';
  if (!url || url.match(/^data:/) || url === 'about:blank') return;
  const fullUrl =
    url.startsWith('../') ? `${rule.href}/../${url}`
    : url.startsWith('./') ? `${rule.href}/./${url}`
    : url;
  const link = document.createElement('a');
  link.href = fullUrl;
  return link.href;
};

console.log(detectCssFont({
  href: "http://10.0.0.88/DEVELOPMENT/ajax/css/bootstrap.min.css",
  cssText: "@font-face{font-family:'Glyphicons Halflings';src:url(../fonts/glyphicons-halflings-regular.eot);src:url(../fonts/glyphicons-halflings-regular.eot?#iefix) format('embedded-opentype'),url(../fonts/glyphicons-halflings-regular.woff2) format('woff2'),url(../fonts/glyphicons-halflings-regular.woff) format('woff'),url(../fonts/glyphicons-halflings-regular.ttf) format('truetype'),url(../fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular) format('svg')}",
}));

console.log(detectCssFont({
  href: "http://10.0.0.88/DEVELOPMENT/ajax/css/font-awesome.min.css",
  cssText: "@font-face{font-family:'FontAwesome';src:url('../fonts/fontawesome-webfont.eot?v=4.7.0');src:url('../fonts/fontawesome-webfont.eot?#iefix&v=4.7.0') format('embedded-opentype'),url('../fonts/fontawesome-webfont.woff2?v=4.7.0') format('woff2'),url('../fonts/fontawesome-webfont.woff?v=4.7.0') format('woff'),url('../fonts/fontawesome-webfont.ttf?v=4.7.0') format('truetype'),url('../fonts/fontawesome-webfont.svg?v=4.7.0#fontawesomeregular') format('svg');font-weight:normal;font-style:normal}",
}));
